Whamcloud - gitweb
b=3643
[fs/lustre-release.git] / lustre / tests / llmountcleanup.sh
index 8d4fa52..35eca9b 100755 (executable)
@@ -1,6 +1,8 @@
 #!/bin/sh
 
-LCONF=${LCONF:-../utils/lconf}
+export PATH=`dirname $0`/../utils:$PATH
+
+LCONF=${LCONF:-lconf}
 NAME=${NAME:-local}
 TMP=${TMP:-/tmp}
 
@@ -11,26 +13,40 @@ if [ "$PORTALS" ]; then
   portals_opt="--portals=$PORTALS"
 fi
 
-if [ ! -f $config ]; then
-   sh $mkconfig $config || exit 1
+if [ "$LUSTRE" ]; then
+  lustre_opt="--lustre=$LUSTRE"
 fi
 
+if [ "$LDAPURL" ]; then
+    conf_opt="--ldapurl $LDAPURL --config $NAME"
+else
+    if [ ! -f $config ]; then
+       sh $mkconfig $config || exit 1
+    fi
+    conf_opt="$config"
+fi    
+
+[ "$NODE" ] && node_opt="--node $NODE"
+
 sync; sleep 2; sync
-${LCONF} $portals_opt --cleanup --dump $TMP/debug $config
+${LCONF} $NOMOD $portals_opt $lustre_opt $node_opt --cleanup $@ \
+    --dump $TMP/debug $conf_opt
 rc=$?
+echo "lconf DONE"
 BUSY=`dmesg | grep -i destruct`
 if [ "$BUSY" ]; then
        echo "$BUSY" 1>&2
        mv $TMP/debug $TMP/debug-busy.`date +%s`
        exit 255
 fi
-LEAK_LUSTRE=`dmesg | tail -20 | grep -v "leaked: 0" | grep leaked`
-LEAK_PORTALS=`dmesg | tail -20 | grep "Portals memory leaked"`
+LEAK_LUSTRE=`dmesg | tail -n 30 | grep "obd mem.*leaked"`
+LEAK_PORTALS=`dmesg | tail -20 | grep "Portals memory leaked"`
 if [ "$LEAK_LUSTRE" -o "$LEAK_PORTALS" ]; then
        echo "$LEAK_LUSTRE" 1>&2
        echo "$LEAK_PORTALS" 1>&2
        mv $TMP/debug $TMP/debug-leak.`date +%s`
        exit 254
 fi
+lsmod | grep portals && echo "modules still loaded" && exit 1
 
 exit $rc